Subject: Re: [bitcoin-dev] Reminder on the Purpose of BIPs

From: John Newbery <[email-masked]>
Date: Tue, 27 Apr 2021 12:33:48 +0100

ACK. These seem like very reasonable next steps.

On Mon, Apr 26, 2021 at 8:43 PM David A. Harding via bitcoin-dev <
[email-masked]> wrote:

> On Sun, Apr 25, 2021 at 05:31:50PM -0400, Matt Corallo via bitcoin-dev
> wrote:
> > In general, I think its time we all agree the BIP process has simply
> failed
> > and move on. Luckily its not really all that critical and proposed
> protocol
> > documents can be placed nearly anywhere with the same effect.
>
> I recommend:
>
> 1. We add additional BIP editors, starting with Kalle Alm (if there are
>    no continuing significant objections).
>
> 2. We seek Luke Dashjr's resignation as BIPs editor.
>
> 3. We begin treating protocol documents outside the BIPs repository as
>    first-class BIP documentation.
>
> The first recommendation permits continued maintenance of existing BIPs
> plus gives the additional maintainers an opportunity to rebuild the
> credibility of the repository.
>
> The second recommendation addresses the dissatisfaction of many BIP
> authors and potential authors with the current editor, which I think
> will discourage many of them from making additional significant
> contributions to the repository.  It also seems to me to be a better use
> of Luke's talents and interests for him to focus on protocol research
> and review rather than procedurally checking whether a bunch of
> documents are well formed.
>
> The third recommendation provides an escape hatch for anyone, such as
> Matt, who currently thinks the process has failed, or for anyone who
> comes to that same conclusion in the future under a different editing
> team.  My specific recommendations there are:
>
> a. Anyone writing protocol documentation in the spirit of the BIP
>    process can post their idea to this mailing list like we've always
>    done and, when they've finished collecting initial feedback, they can
>    assign themselves a unique decentralized identifier starting with
>    "bip-".  They may also define a shorter alias that they encourage
>    people to use in cases where the correct document can be inferred
>    from context.  E.g.,
>
>       bip-wuille-taproot (bip-taproot)
>       bip-towns-versionbits-min-activation-height (bip-vbmah)
>       bip-todd-harding-opt-in-replace-by-fee (bip-opt-in-rbf)
>
> b. The author then publishes the document to any place they'd like,
> although
>    they are strongly encouraged to make any document source available
>    under an open license to ensure others can create their own
>    modifications.
>
> c. Implementations of BIPs, whether original repository BIPs or
>    decentralized BIPs, link to the BIPs they implement to ensure
>    researchers and developers can find the relevant protocol
>    documentation.  E.g.,
>
> https://github.com/bitcoin/bitcoin/blob/fe5e495c31de47b0ec732b943db11fe345d874af/doc/bips.md
>
>      (It may also be advisable for implementations to mirror copies of
>      the BIPs they implement so later modifications to the document
>      don't confuse anyone.  For this reason, extremely liberal
>      licensing of BIP documents is encouraged.)
>
> d. To help maintain quality and consistency between documentation, the
>    BIP editors provide a BIP document template, guidelines similar to
>    the existing BIP2, and an easy-to-run format linter.
>
> I think this decentralized BIPs alternative also helps address some
> longstanding problems with the BIPs system: that many casual Bitcoin
> users and developers think of documents in the BIPs repo as
> authoritative and that there are some development teams (such as for LN)
> that have already abandoned the BIPs process because, in part, they want
> complete control over their own documentation.
>
> The recommendations above were developed based on conversations I had
> with a few stakeholders in the BIPs process, but I did not attempt a
> comprehensive survey and I certainly don't claim to speak for anyone
> else.  I hope the recommendations are satisfactory and I look forward to
> your feedback.
>
> Thanks,
>
> -Dave
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>